# -*- coding: utf-8 -*-

# spacewarning.py
# This file is part of Qarte-3
#    
# Author: Vincent Vande Vyvre <vincent.vandevyvre@oqapy.eu>
# Copyright: 2016 Vincent Vande Vyvre
# Licence: GPL3
# Home page: https://launchpad.net/qarte

from PyQt5 import QtCore, QtGui, QtWidgets

class SpaceWarning(QtWidgets.QDialog):
    def __init__(self, path, needed, free):
        super().__init__()
        self.resize(297, 166)
        self.setWindowTitle("Qarte Warning")
        self.gridLayout_2 = QtWidgets.QGridLayout(self)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.title_lbl = QtWidgets.QLabel(self)
        self.title_lbl.setText("Not enought space free on:")
        self.verticalLayout.addWidget(self.title_lbl)
        self.folder_lbl = QtWidgets.QLabel(self)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.folder_lbl.setFont(font)
        self.folder_lbl.setText(path)
        self.folder_lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.verticalLayout.addWidget(self.folder_lbl)
        self.info_lbl = QtWidgets.QLabel(self)
        self.info_lbl.setText("Please, choose an other folder or device.")
        self.verticalLayout.addWidget(self.info_lbl)
        self.gridLayout = QtWidgets.QGridLayout()
        self.info_lbl_1 = QtWidgets.QLabel(self)
        self.info_lbl_1.setText("Space needed:")
        self.gridLayout.addWidget(self.info_lbl_1, 0, 0, 1, 1)
        self.needed_lbl = QtWidgets.QLabel(self)
        self.needed_lbl.setText(needed)
        self.needed_lbl.setAlignment(QtCore.Qt.AlignRight|
                                     QtCore.Qt.AlignTrailing|
                                     QtCore.Qt.AlignVCenter)
        self.gridLayout.addWidget(self.needed_lbl, 0, 1, 1, 1)
        self.info_lbl_2 = QtWidgets.QLabel(self)
        self.info_lbl_2.setText("Space free:")
        self.gridLayout.addWidget(self.info_lbl_2, 1, 0, 1, 1)
        self.free_lbl = QtWidgets.QLabel(self)
        self.free_lbl.setText(free)
        self.free_lbl.setAlignment(QtCore.Qt.AlignRight|
                                   QtCore.Qt.AlignTrailing|
                                   QtCore.Qt.AlignVCenter)
        self.gridLayout.addWidget(self.free_lbl, 1, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.gridLayout_2.addLayout(self.verticalLayout, 0, 0, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(self)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout_2.addWidget(self.buttonBox, 1, 0, 1, 1)

        self.buttonBox.accepted.connect(self.accept)


